Subject: Re: [Re: [SIP] REGISTRAR functions.]

From: Nishith Chudasama <[email-masked]>
Date: 8 Jan 2001 21:58:41 MST

RFC 2453 is for RIP. I couldn't find anything related to REGISTRAR or REGISTER
related to SIP.
Kindly let me know if it was a typing mistake.

Regarding communication between SIP server and REGISTRAR/Location server), I
wanted to know the messages. For example, INVITE, OPTIONS etc.

If Registrar and Location server are not colocated, aint there any specs for
implementing them? If it is implementation dependant, I think InterOpt will be
a big problem....

Nishith.

Vijay Gurbani <[email-masked]> wrote:
Nishith Chudasama wrote:
> 
> Following are the queries regarding SIP REGISTRAR implementation. Kindly 
> let me know if anybody has the solution.....
> 
> 1. Where can I get the specifications to develop a SIP Registrar?

RFC 2453 (and subsequent bis modifications)

> 2. For a particular USER registration, what all information from the 
> REGISTER request should be stored by Registrar?(Till the registration 
> expires...)

Presumably, at least the Contact and Expire information.  If the REGISTER 
request had a CPL (or any other) payload, that'll need to be stored as well.
 
> 3. If the REGISTRAR and Location server are not co-located, How and what 
> to inform the Location server following a REGISTER request from a User?

Implementation dependent.
 
> 4. What are the messages exchanged between a SIP proxy/Redirect server and 
> a Location server/Registrar?

If they are co-located, a functional API would suffice.  If not, SIP itself
could be a candidate.

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Internet Software and eServices Group 
Lucent Technologies/Bell Labs Innovations 263 Shuman Blvd., Rm 1A-413
Naperville, Illinois 60566     Voice: +1 630 224 0216   Fax: +1 630 713 0184

____________________________________________________________________
Get free email and a permanent address at http://www.netaddress.com/?N=1

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 9 Jan 2001 01:15:09 -0500

> -----Original Message-----
> From: Nishith Chudasama [mailto:[email-masked]]
> Sent: Monday, January 08, 2001 11:59 PM
> To: Vijay Gurbani; Nishith Chudasama
> Cc: [email-masked]
> Subject: Re: [Re: [SIP] REGISTRAR functions.]
> 
> 

Its RFC2543. 

One can also find things easily on the web by using search engines. Typing
"sip" into www.google.com, for example, yields as the first result:

http://www.cs.columbia.edu/sip/

which has some tutorials, FAQs, links to standards, and so on. 

-Jonathan R.

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com